import { tap, expect } from '../../ts_tapbundle/index.js';

tap.test('should show string diff', async () => {
  const expected = `Hello World
This is a test
of multiline strings`;
  
  const actual = `Hello World
This is a demo
of multiline strings`;
  
  // This will fail and show a diff
  expect(actual).toEqual(expected);
});

tap.test('should show object diff', async () => {
  const expected = {
    name: 'John',
    age: 30,
    city: 'New York',
    hobbies: ['reading', 'coding']
  };
  
  const actual = {
    name: 'John',
    age: 31,
    city: 'Boston',
    hobbies: ['reading', 'gaming']
  };
  
  // This will fail and show a diff
  expect(actual).toEqual(expected);
});

tap.test('should show array diff', async () => {
  const expected = [1, 2, 3, 4, 5];
  const actual = [1, 2, 3, 5, 6];
  
  // This will fail and show a diff
  expect(actual).toEqual(expected);
});

tap.test('should show primitive diff', async () => {
  const expected = 42;
  const actual = 43;
  
  // This will fail and show a diff
  expect(actual).toBe(expected);
});

tap.test('should pass without diff', async () => {
  expect(true).toBe(true);
  expect('hello').toEqual('hello');
});

tap.start({ throwOnError: false });